Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gimp-2.6 + Gimp-2.7 [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gerard27
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2377
Location: Netherlands

PostPosted: Sun Mar 06, 2011 7:19 pm    Post subject: Gimp-2.6 + Gimp-2.7 [SOLVED] Reply with quote

Hi all,
I installed Gimp-2.6.11-r1 by emerge from Gentoo.
I also installed Gimp-2.7.2 from git in /opt.
As far as I can see the files of the 2 installs are completely separated.
In my /home directory I have .gimp-2.6 and .gimp-2.7 for scripts,plugins,config etc.
Linux being multitasking I thought I could run them both at the same time.
That doesn't work out that way,only the first started keeps running,regardless which one.
I tried starting them from konsole,no messages of any kind neither in .xsession-errors.
Can anyone shed some light on this.
Thanks in advance.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download


Last edited by gerard27 on Sun Mar 06, 2011 11:23 pm; edited 1 time in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Mar 06, 2011 9:07 pm    Post subject: Reply with quote

Hi Gerard,

it probably won't be that easy:

but you tried to rename the binary of one gimp-version ?


or just do the following (when it works):

execute:

/usr/bin/gimp-2.6

and then

the gimp-2.7 (dunno if that exists) from /opt


hope that helps
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
aCOSwt
Bodhisattva
Bodhisattva


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Sun Mar 06, 2011 9:33 pm    Post subject: Reply with quote

Hi all,

What about running the other one in a chrooted environment ?
Back to top
View user's profile Send private message
gerard27
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2377
Location: Netherlands

PostPosted: Sun Mar 06, 2011 10:18 pm    Post subject: Reply with quote

Thanks for answering.
I start them as follows:
Code:
/usr/bin/gimp-2.6 &

When it's running I do
Code:
/opt/bin/gimp-2.7 &

Now only 2.6 runs.
When I do 2.7 first it will run and 2.6 won't.
Well if I use chroot I can't have them together I guess.
Gerard.

Edit:As you can see the binaries are named differently gimp-2.6 and gimp-2.7.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Mar 06, 2011 10:33 pm    Post subject: Reply with quote

gerard82 wrote:
Thanks for answering.
I start them as follows:
Code:
/usr/bin/gimp-2.6 &

When it's running I do
Code:
/opt/bin/gimp-2.7 &

Now only 2.6 runs.
When I do 2.7 first it will run and 2.6 won't.
Well if I use chroot I can't have them together I guess.
Gerard.

Edit:As you can see the binaries are named differently gimp-2.6 and gimp-2.7.


I got the same issue with firefox & firefox-bin
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gerard27
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2377
Location: Netherlands

PostPosted: Sun Mar 06, 2011 10:36 pm    Post subject: Reply with quote

I renamed /opt/bin/gimp-2.7 to /opt/bin/gmip-2.7.
It ran ok but 2.6 still the same.
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5884

PostPosted: Sun Mar 06, 2011 10:42 pm    Post subject: Reply with quote

Code:
gimp --new-instance
Back to top
View user's profile Send private message
aCOSwt
Bodhisattva
Bodhisattva


Joined: 19 Oct 2007
Posts: 2537
Location: Hilbert space

PostPosted: Sun Mar 06, 2011 10:49 pm    Post subject: Reply with quote

gerard82 wrote:
Well if I use chroot I can't have them together I guess.

See this thread https://forums.gentoo.org/viewtopic-t-857435-highlight-concurrently.html
Consider 2nd NeddySeagoon's post and Hu's one.
Back to top
View user's profile Send private message
gerard27
Advocate
Advocate


Joined: 04 Jan 2004
Posts: 2377
Location: Netherlands

PostPosted: Sun Mar 06, 2011 11:23 pm    Post subject: Reply with quote

Thanks Ant_P!
Very simple but it works!!!!
I now have both running!
Gerard.
_________________
To install Gentoo I use sysrescuecd.Based on Gentoo,has firefox to browse Gentoo docs and mc to browse (and edit) files.
The same disk can be used for 32 and 64 bit installs.
You can follow the Handbook verbatim.
http://www.sysresccd.org/Download
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum